# Interface: AuthorizationDetails

[💗 Help the project](https://github.com/sponsors/panva)

Support from the community to continue maintaining and improving this module is welcome. If you find the module useful, please consider supporting the project by [becoming a sponsor](https://github.com/sponsors/panva).

***

## Indexable

> \[`parameter`: `string`\]: [`JsonValue`](../type-aliases/JsonValue.md) \| `undefined`

## Properties

### type

• `readonly` **type**: `string`

***

### actions?

• `readonly` `optional` **actions?**: `string`[]

***

### datatypes?

• `readonly` `optional` **datatypes?**: `string`[]

***

### identifier?

• `readonly` `optional` **identifier?**: `string`

***

### locations?

• `readonly` `optional` **locations?**: `string`[]

***

### privileges?

• `readonly` `optional` **privileges?**: `string`[]
